# CashTagTextSource - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.MessageEntity.textsources / CashTagTextSource

# CashTagTextSource

(common) `class CashTagTextSource : MultilevelTextSource` (source)

### Constructors

(common)

#### <init>

`CashTagTextSource(source: String, textParts: List<TextPart>)`

### Properties

(common)

#### asHtmlSource

`val asHtmlSource: String`

(common)

#### asMarkdownSource

`val asMarkdownSource: String`

(common)

#### asMarkdownV2Source

`val asMarkdownV2Source: String`

(common)

#### source

`val source: String`

(common)

#### textParts

`val textParts: List<TextPart>`